<template>
  <div id="top-winner">
    <!-- <main-header></main-header> -->

    <div class="container main-list-page">
      <div class="row pt-5">
        <div class="col-lg-6 cover-list">
          <div class="row cover-list-top">
            <div class="col-lg-4 pb-5 mb-5 pb-lg-0 mb-lg-0">
              <div class="row left-column">
                <div class="col-lg-6">
                  <div class="left-side">
                    <div class="image">
                      <img
                        v-if="dataTableWinner[0].avatar"
                        class="img-winner"
                        :src="dataTableWinner[0].avatar"
                        alt=""
                      />
                      <img
                        v-else
                        class="img-winner"
                        src="@/assets/img/logo_bsb@2x.png"
                        alt=""
                      />
                    </div>
                  </div>
                </div>
                <div class="col-lg-6">
                  <div class="right-side">
                    <div class="wrap-top">
                      <div class="image">
                        <img src="@/assets/img/winner-cup-icon.png" alt="" />
                      </div>
                      <div class="side-title">
                        <span>Winner</span>
                      </div>
                    </div>
                    <div class="wrap-bottom">
                      <h4>{{ dataTableWinner[0].name }}</h4>
                      <h3>{{ dataTableWinner[0].btc.coin }} BTC</h3>
                      <h5>({{ dataTableWinner[0].btc.usd }} USD)</h5>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="">
            <list-winner
              :column-list="columListWinner"
              :data-table="dataTableWinner"
              :routepath="false"
              :routepathtop="true"
              :coin="coin"
            ></list-winner>
          </div>
        </div>
        <div class="col-lg-6 cover-list cover-right">
          <div class="row cover-list-top">
            <div class="col-lg-4 pb-5 mb-5 pb-lg-0 mb-lg-0">
            <div class="row left-column">
              <div class="col-12 col-lg-6">
                <div class="left-side">
                  <div class="image">
                    <img
                      v-if="dataTableWinnerBsbt[0].avatar"
                      class="img-winner"
                      :src="dataTableWinnerBsbt[0].avatar"
                      alt=""
                    />
                    <img
                      v-else
                      class="img-winner"
                      src="@/assets/img/logo_bsb@2x.png"
                      alt=""
                    />
                  </div>
                </div>
              </div>
              <div class="col-12 col-lg-6">
                <div class="right-side">
                  <div class="wrap-top">
                    <div class="image">
                      <img src="@/assets/img/winner-cup-icon.png" alt="" />
                    </div>
                    <div class="side-title">
                      <span>Winner</span>
                    </div>
                  </div>
                  <div class="wrap-bottom">
                    <h4>{{ dataTableWinnerBsbt[0].name }}</h4>
                    <h3>{{ dataTableWinnerBsbt[0].bsbt.coin }} BSBT</h3>
                    <h5>({{ dataTableWinnerBsbt[0].bsbt.usd }} USD)</h5>
                  </div>
                </div>
              </div>
            </div>
          </div>
          </div>
          <div class="">
            <list-winner
              :column-list="columListWinnerBsbt"
              :data-table="dataTableWinnerBsbt"
              :routepath="false"
              :routepathtop="true"
              :coin="'bsbt'"
            ></list-winner>
          </div>
        </div>
      </div>
    </div>

    <!-- <main-footer></main-footer> -->
  </div>
</template>

<style scoped>
.main-list-page {
  padding-bottom: 40px;
}
ul {
  list-style-type: none;
}

.main {
  padding-bottom: 50px;
}

.cover-list .pb-5 {
  padding-left: 20px;
}

.cover-list-top {
  margin-bottom: 2rem;
}

.winner-banner-section {
  display: flex;
}

.left-side .image {
  width: 12em;
  height: 15em;
  overflow: hidden;
}

.left-column .title {
  position: relative;
}

.left-column h1 {
  font-size: 80px;
  opacity: 0.1;
  left: 0px;
  top: 0px;
  overflow: visible;
  white-space: nowrap;
  text-align: left;
  font-family: Celias;
  font-style: normal;
  font-weight: bold;
  color: rgba(255, 112, 65, 1);
}

.left-column h2 {
  position: absolute;
  top: 40%;
  z-index: 2;
  left: 22px;
}

.left-column .col-lg-6:last-child {
  position: relative;
}

.img-winner {
  max-width: 100%;
  height: auto;
}

.left-column div:nth-child(2) {
  position: relative;
}

.right-side {
  position: absolute;
  padding-left: 15px;
  top: 20px;
  left: 8em;
  width: 16.5rem;
}

.right-side .image {
  position: relative;
  left: -1.4em;
}

.image img {
  width: 100%;
  height: auto;
}

.wrap-top {
  display: flex;
  align-items: center;
}

.wrap-top .side-title span {
  font-size: 25px;
  font-weight: 700;
}

.wrap-bottom h3 {
  color: rgba(220, 62, 41, 1);
  font-weight: 700;
}

.wrap-bottom h5 {
  font-size: 16px;
}

.main-list ul li {
  border-bottom: 1px solid black;
  padding-bottom: 15px;
}

.list-header {
  border-bottom: 1px solid black;
  padding-bottom: 10px !important;
  margin-right: 20px;
}

.list-header {
  border-bottom: 1px solid black;
  padding-bottom: 10px !important;
  margin-right: 20px;
}

.list-header span {
  font-size: 18px;
  font-weight: 700;
}

.list {
  padding-top: 30px;
}

.list-body li:first-child {
  color: rgba(220, 62, 41, 1);
}

.list-body li {
  font-weight: 700;
}

.list-body li .row .col:nth-child(3) span:nth-child(3) {
  font-weight: 500 !important;
}

.list .col:nth-child(2) {
  text-align: center;
}

.list .col:nth-child(3) {
  text-align: right;
}

.list-body {
  overflow-y: auto;
  overflow-x: hidden;
  /* height: 460px; */
  padding-right: 15px;
}

.list-body li {
  padding-bottom: 15px;
  border-bottom: 1px solid black;
}

.list-body::-webkit-scrollbar {
  width: 7px;
  height: 11px;
  border-radius: 5px;
}

/* Track */
.list-body::-webkit-scrollbar-track {
  background: #f1f1f1;
}

/* Handle */
.list-body::-webkit-scrollbar-thumb {
  background: #888;
  border-radius: 5px;
}

/* Handle on hover */
.list-body::-webkit-scrollbar-thumb:hover {
  background: #555;
}

@media (max-width: 1399px) {
  .list-body {
    height: 430px;
  }
  .list {
    padding-left: 5px;
    margin-right: -5px;
  }
}

@media (max-width: 1200px) {
  .list-body {
    height: 380px;
  }
  .list {
    padding-left: 5px;
    margin-right: -5px;
  }
}

@media (max-width: 767px) {
  .list-body li {
    font-weight: 700;
  }
  .col {
    width: 20%;
    font-size: 13px;
  }
  .list {
    padding-left: 5px;
    margin-right: -5px;
  }
  .list .row {
    --bs-gutter-x: 0;
  }
}

@media (max-width: 993px) {
  .left-column {
    display: none;
  }
}

@media (max-width: 320px) {
  .list-body li {
    font-weight: normal;
  }
}
</style>

<script>
// import MainHeader from '../components/MainHeader.vue';
// import MainFooter from "../components/MainFooter.vue";
import ListWinner from "../components/ListWinner.vue";
import { apiCustomerGet } from "../services/baseApi";

export default {
  components: {
    // MainHeader,
    // MainFooter,
    ListWinner,
  },

  data() {
    return {
      columListWinner: ["name", "date", "btc"],
      dataTableWinner: [],
      coin: "btc",
      columListWinnerBsbt: ["name", "date", "bsbt"],
      dataTableWinnerBsbt: [],
    };
  },
  mounted() {
    this.getListWinner();
    this.getListWinnerBsbt();
  },
  methods: {
    async getListWinner() {
      try {
        const change = await apiCustomerGet("dashboard/btc/price");
        const get = await apiCustomerGet("dashboard/topWinner/btc");
        get.data.data.map((data) => {
          this.dataTableWinner.push({
            name: data.name,
            date: parseInt(data.createdAt + "000"),
            avatar: data.avatar,
            btc: {
              coin: parseFloat(data.balanceAvailable).toFixed(8),
              usd: parseFloat(
                data.balanceTotal * change.data.data.price
              ).toFixed(2),
            },
          });
        });
      } catch (error) {
        console.log(error);
      }
    },

    async getListWinnerBsbt() {
      try {
        const change = await apiCustomerGet("price");
        const get = await apiCustomerGet("dashboard/topWinner/bsbt");
        get.data.data.map((data) => {
          this.dataTableWinnerBsbt.push({
            name: data.name,
            date: parseInt(data.createdAt + "000"),
            avatar: data.avatar,
            bsbt: {
              coin: parseFloat(data.bsbtBalance).toFixed(8),
              usd: parseFloat(
                data.bsbtBalance * change.data.data.price.result.last
              ).toFixed(2),
            },
          });
        });
      } catch (error) {
        console.log(error);
      }
    },
  },
};
</script>